Upgrading MySQL to 5.5.31+

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Upgrading MySQL to 5.5.31+

Postby Nuala » 01. December 2015 21:48

Hi,

I´m running the latest version of XAMPP that includes MariaDB, version 5.5.30. However I´m not able to install Moodle since version 2.7 (current version is 3.0) as it needs MySQL 5.5.31. I´m wondering if you´re going to release an updated version of XAMPP soon?
Otherwise, would be possible to install the latest MySQL and keep the functionality of XAMPP, so I won´t need to start manually MySQL every time?
Thanks for your help
Nuala
 
Posts: 3
Joined: 01. December 2015 21:40
Operating System: Ubuntu

Re: Upgrading MySQL to 5.5.31+

Postby Nobbie » 01. December 2015 22:02

Nuala wrote:I´m wondering if you´re going to release an updated version of XAMPP soon?


Bitnami is responsible. Hard to say.

Nuala wrote:Otherwise, would be possible to install the latest MySQL and keep the functionality of XAMPP, so I won´t need to start manually MySQL every time?


No. But you can start MySQL automatically when booting your PC. Isnt that sufficient?
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04

Re: Upgrading MySQL to 5.5.31+

Postby Nuala » 01. December 2015 22:17

Thank you for your quick response. Will be alright for me but not sure if the other technicians in the school would remember.
Anyway thanks!
Nuala
 
Posts: 3
Joined: 01. December 2015 21:40
Operating System: Ubuntu

Re: Upgrading MySQL to 5.5.31+

Postby Altrea » 01. December 2015 22:54

Hi,

XAMPP 5.5.30 includes PHP 5.5.30, and MariaDB 10.1.8 (based on MySQL 5.7.X), so the requirements are overfulfilled.
A new release will not solve your problem with Moodle.

EDIT: But this should help: https://docs.moodle.org/26/en/MariaDB
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8297
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Upgrading MySQL to 5.5.31+

Postby Nuala » 02. December 2015 02:15

Thanks! I was getting this error:
Image

But as soon as I specified that I was using MariaDB, worked!!

Many thanks :D
Nuala
 
Posts: 3
Joined: 01. December 2015 21:40
Operating System: Ubuntu

Re: Upgrading MySQL to 5.5.31+

Postby Altrea » 02. December 2015 02:16

You are welcome :D
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8297
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Upgrading MySQL to 5.5.31+

Postby Player1 » 05. February 2016 18:18

This fix worked for me as well.
For anyone else with this issue that is as new to moodle as myself the php.ini file is located in the moodle directory.
Player1
 
Posts: 1
Joined: 05. February 2016 18:15
Operating System: Windows 8.1


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 7 guests